
# TokenLab
 A python library for simulating token economies for Web3.0 and blockchain projects. Created by Stylianos Kampakis, PhD, CStat

## TokenLab principles
Tokenlab is a library for simulating token economies based on agent based models. It abides by the following principles:

1) Modularity: The different components can be merged as the user sees fit.

2) Explicitness: The assumptions behind the different modules are stated clearly, as well as any limitations.

3) Intermediate-level-of-abstraction: TokenLab is focused on simulating the actions of aggregate groups of agents (e.g. a certain user cohort), instead of individuals.

4) Focus on the economy: TokenLab's tools are focused on answering questions about a token economy, and performing things such as stress tests. 

5) Flexibility: TokenLab is designed in a way that it offers maximum flexibility to those who desire it. It can support logical flows, or arbitrary mechanisms within its simulations, for any kind of agent action.

## Documentation
Documentation is still work in progress. Check the notebooks section for tutorials and instructions.

## Whom to contact
If you have any requests or comments, please reach out to Dr Kampakis https://thedatascientist.com/contact-dr-kampakis/ or to the Tesseract Academy https://tesseract.academy/contact/

## Used by

![Angelo https://angelos.art/](https://thedatascientist.com/wp-content/uploads/2022/12/Angelo-Logo.png)

![Algem https://www.algem.io/](https://thedatascientist.com/wp-content/uploads/2022/12/algem.png)

![Tesseract Academy https://tesseract.academy](https://thedatascientist.com/wp-content/uploads/2022/02/logo-centered.png)

![Electi Consulting https://electiconsulting.com/](https://thedatascientist.com/wp-content/uploads/2022/12/electi-red-retina-logo.png)